*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    font-family: 'inter' , sans-serif;
    height: 100vh;
    background-image: url(honey\ jar.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-attachment: fixed;
    background-size: cover;
    
}

nav{
    backdrop-filter: blur(20px);
    background: rgba(255, 255, 255, 0.05);
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 60px;
    position: fixed;
    width: 100%;
    z-index: 999;
}
.logo{
    font-size: 30px;
    font-weight: 800;
    color: black;
    letter-spacing: 1px;
}
.nav-links{
    display: flex;
    gap: 30px;
}
.nav-links a{
    color: orange;
    text-decoration: none;
    font-weight: 600;
    font-size: 16px;
    position: relative;
    transition: all 0.3s ease;
}
.nav-links a::after{
    content: '';
    position: absolute;
    left: 0;
    bottom: -6px;
    width: 0;
    height: 2px;
    background: black;
    transition: 0.4s ease;
}
.nav-links a:hover::after{
    width: 100;
}
.nav-links a:hover{
    color: black;
}
.hero{
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 20px;
    text-align: center;
}
.hero-content{
    max-width: 850px;
}
.hero h1{
    font-size: 60px;
    font-weight: 800;
    margin-bottom: 20px;
    line-height: 1.2;
    background: linear-gradient(90deg, black);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}
.hero p{
    font-size: 20px;
    font-weight: 400;
    margin-bottom: 40px;
    color: black;
}
.hero button{
    padding: 14px 32px;
    font-size: 16px;
    font-weight: 600;
    color: black;
    background: rgba(255, 255, 255, 0.1);
    border: 2px solid orange;
    border-radius: 50px;
    cursor: pointer;
    backdrop-filter: blur(10px);
    transition: 0.3s ease;
}
.hero button:hover{
    background: orange;
    color: black;
    box-shadow: 0 0 15px orange;
}
@media (max-width: 768px){
    nav{
        padding: 15px 30px;
        flex-direction: column;
    }
    .nav-links{
        margin-top: 10px;
        flex-wrap: wrap;
        justify-content: center;
        gap: 15px;
    }
    .hero h1{
        font-size: 42px;
    }
    .hero p{
        font-size: 18px;
    }
    .hero button{
        font-size: 15px;
    }
}
footer{
    position: relative;
    width: 100%;
    height: auto;
    padding: 50px 100x;
    background: orange;
}
footer .container
{
    width: 100%;
    display: grid;
    grid-template-columns: 2fr 1fr 1fr 1fr;
    grid-gap: 20px;
}
footer .container .sec h2
{
    position: relative;
    color: black;
    font-weight: 500;
    margin-bottom: 15px;
}
footer .container .sec h2::before
{
    content: '';
    position: absolute;
    bottom: -5px;
    left: 0;
    width: 50px;
    height: 2px;
    background: orange;
}